获取EIP目的地址转换列表 | 大装置帮助中心
跳到主要内容

获取EIP目的地址转换列表

GET https://management.sensecoreapi.cn/network/eip/data/v1/subscriptions/{subscription_name}/resourceGroups/{resource_group_name}/zones/{zone}/eips/{eip_name}/dnatRules

请求头(Request Header)

参考认证(authentication)

请求参数(Request Parameters)

名称类型必须默认值取值范围描述
subscription_namestring--订阅
resource_group_namestring--资源组
zonestring--可用区
eip_namestring--eip名

请求体(Request Body)

请求示例(Request Example)

curl --request GET 'https://management.sensecoreapi.cn/network/eip/data/v1/subscriptions/f5e41c2b-9859-4c10-8b0a-78c02bf2a748/resourceGroups/default/zones/cn-sh-01a/eips/eip-test-d4ee9e0e/dnatRules' \
-H 'content-type: application/json' \
-H 'Authorization: xxx'

响应(Response)

名称类型描述
idstringdnat规则id标识
namestringdnat规则名
display_namestringdnat规则前端展示名
descriptionstringdnat规则说明
uidstringdnat规则uuid
resource_typestringdnat规则资源类型
creator_idstring创建该dnat规则的用户id
owner_idstring拥有该dnat规则资源的用户id
tenant_idstring租户id
zonestring可用区
stateenum当前dnat规则的状态
sku_idstring文件创建者最小库存单元id标识
tagsmap<string, string>dnat规则资源标签
propertiesACLPropertiesdnat规则资源属性
nat_gateway_idstringNAT网关id
eip_idstringEIP资源id
external_ipstring对外暴露的 DNATRule external IP
external_portstring对外暴露的 DNATRule external Port
protocolstring对外暴露的协议,目前保留
internal_ipstring对外暴露的VPC内服务IP
internal_portstring对外暴露的VPC内服务端口
priorityint32ACL规则优先级,目前保留
internal_instance_typestringVPC内实例类型
internal_instance_namestringVPC内实例名
order_infostruct OrderInfoACL订单信息
deletedboolACL是否已删除
create_timetimestampACL创建时间
update_timetimestampACL更新时间
netx_page_tokenstring下一页的token信息
total_sizeint32ACL总数

响应示例(Response Example)

{
"dnat_rules": [
{
"id": "/resourceGroups/default/zones/cn-sh-01a/eips/eip-test-d4ee9e0e/dnatRules/dnat-test-ef484991",
"name": "dnat-test-ef484991",
"display_name": "dnat-test-ef484991",
"description": "",
"uid": "ef484991-c27a-48d8-91a9-c874b91df76c",
"resource_type": "network.eip.v1.dnatRule",
"creator_id": "ab870bba-c30c-4905-a372-c915a673b892",
"owner_id": "ab870bba-c30c-4905-a372-c915a673b892",
"tenant_id": "39c9bb8b-9f40-45c1-bd7f-e978b0b97175",
"zone": "cn-sh-01a",
"state": "ACTIVE",
"sku_id": "",
"tags": {},
"properties": {
"nat_gateway_id": "b0e11b51-62f0-4e8d-ad09-ba2e6138ed6f",
"eip_id": "01997037-4e28-7adc-abc5-8a22788797f9",
"external_ip": "10.10.10.27",
"external_port": "1113",
"protocol": "udp",
"internal_ip": "10.119.16.1",
"internal_port": "23",
"priority": 1,
"internal_instance_type": "IP",
"internal_instance_name": "10.119.16.1"
},
"order_info": null,
"deleted": false,
"create_time": "2025-09-22T08:25:03Z",
"update_time": "2025-09-22T08:25:03Z"
}
],
"next_page_token": "0",
"total_size": 6
}